#include <SerialCommand.h>
#include <Tone.h>

SerialCommand sCmd;

Tone tone1;
Tone tone2;
const int k1 = 11; // Timer 1 (+pin 3)
const int k2 = 10; // Timer 2 (+pin 9)
const int p1 = 5;
const int p2 = 6;

void setup() {
  tone1.begin(k1);
  pinMode(p1, OUTPUT);
  tone2.begin(k2);
  pinMode(p2, OUTPUT);

  Serial.begin(115200);

  // Setup callbacks for SerialCommand commands
  sCmd.addCommand("ph1", ph1);
  sCmd.addCommand("ph2", ph2);
  sCmd.addCommand("kl1", kl1);
  sCmd.addCommand("kl2", kl2);
  sCmd.addCommand("stop_kl1", stop_kl1);
  sCmd.addCommand("stop_kl2", stop_kl2);
  sCmd.setDefaultHandler(unrecognized);
  Serial.println("Ready");
}

void loop() {
  sCmd.readSerial();
}

void ph1() {
  int aNumber;
  char *arg;
  arg = sCmd.next();
  if (arg != NULL) {
     aNumber = atoi(arg);
     analogWrite(p1,aNumber);
  }
  else {
    Serial.println("No Argument");
  }
}

void ph2() {
  int aNumber;
  char *arg;
  arg = sCmd.next();
  if (arg != NULL) {
     aNumber = atoi(arg);
     analogWrite(p2,aNumber);
  }
  else {
    Serial.println("No Argument");
  }
}

void kl1() {
  int aNumber, aNumber2;
  char *arg;
  
  // 1st Argument
  arg = sCmd.next();
  if (arg != NULL) aNumber = atoi(arg);
  
  // 2nd Argument
  arg = sCmd.next(); 
  if (arg != NULL) {aNumber2 = atoi(arg);Serial.println(aNumber2);}
  
  tone1.play(aNumber);
}


void stop_kl2() {
  tone2.stop();
}

void stop_kl1() {
  tone1.stop();
}


void kl2() {
  int aNumber, aNumber2;
  char *arg;
  
  // 1st Argument
  arg = sCmd.next();
  if (arg != NULL) aNumber = atoi(arg);
  
  // 2nd Argument
  arg = sCmd.next(); 
  if (arg != NULL) {aNumber2 = atoi(arg);  Serial.println(aNumber2);}
  
  tone2.play(aNumber);
}

void unrecognized(const char *command) {
  Serial.println("What?");
}
